/*
 * Class WEL_HKEY
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_305 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_305 [] = {0xFF01,1551,304,0xFFFF};
static const EIF_TYPE_INDEX egt_2_305 [] = {0xFF01,304,0xFFFF};
static const EIF_TYPE_INDEX egt_3_305 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_305 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_305 [] = {0xFF01,304,0xFFFF};
static const EIF_TYPE_INDEX egt_6_305 [] = {0xFF01,304,0xFFFF};
static const EIF_TYPE_INDEX egt_7_305 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_305 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_305 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_305 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_305 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_305 [] = {0xFF01,304,0xFFFF};


static const struct desc_info desc_305[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_305), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_305), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_305), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_305), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_305), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_305), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_305), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_305), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_305), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_305), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_305), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_305), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0261 /*304*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_305), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6026, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6027, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 6028, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 6029, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 6030, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 6031, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 6032, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 6033, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 6034, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 6035, 0xFFFFFFFF},
};
void Init305(void)
{
	IDSC(desc_305, 0, 304);
	IDSC(desc_305 + 1, 1, 304);
	IDSC(desc_305 + 32, 151, 304);
}


#ifdef __cplusplus
}
#endif
